/*
dttools is Copyright (C) 2002 Douglas Thain
This software is released under the GNU General Public License.
See the file COPYING for details.
*/


#ifndef DISCOVERY_H
#define DISCOVERY_H

int discovery_advertise( int port, const char *service );

int discovery_run( int port, const char *service, char **addrs, int max, int timeout );

struct discovery_client * discovery_client_create( int port, const char *service );
int                       discovery_client_send( struct discovery_client *d );
int                       discovery_client_recv( struct discovery_client *d, char *addr, int timeout );
void                      discovery_client_delete( struct discovery_client *d );

#endif
