/*
dttools is Copyright (C) 2002 Douglas Thain
This software is released under the GNU General Public License.
See the file COPYING for details.
*/


#ifndef TIMESTAMP_H
#define TIMESTAMP_H

#include "int_sizes.h"
#include <time.h>

typedef UINT64_T timestamp_t;
#define TIMESTAMP_FORMAT UINT64_FORMAT

time_t timestamp_file( const char *file );
timestamp_t timestamp_get();
void timestamp_sleep( timestamp_t interval );

#endif

