/*
dttools is Copyright (C) 2002 Douglas Thain
This software is released under the GNU General Public License.
See the file COPYING for details.
*/

#ifndef SAFE_FILE_H
#define SAFE_FILE_H

#include <stdio.h>

struct safe_file * safe_file_begin( const char *name );
FILE * safe_file_stream( struct safe_file *s );
int    safe_file_commit( struct safe_file *s );
void   safe_file_abort( struct safe_file *s );

#endif
